## Count Disputes

### Example Requests

#### cURL
```bash
curl --request GET \
  --url https://api.withflex.com/v1/disputes/count \
  --header 'Authorization: Bearer <token>'
```

#### Python
```python
import requests

url = "https://api.withflex.com/v1/disputes/count"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)
```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/disputes/count', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP
```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/disputes/count",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go
```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/disputes/count"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### Java (Unirest)
```java
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/disputes/count")
  .header("Authorization", "Bearer <token>")
  .asString();
```

#### Ruby
```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/disputes/count")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response Codes
- `200`: Successful request.
- `401`: Unauthorized.
- `403`: Forbidden.
- `404`: Not Found.
- `409`: Conflict.
- `422`: Unprocessable Entity.
- `429`: Too Many Requests.

### Successful Response Example
```json
{
  "count": 3
}
```

### Error Response Example
```json
{
  "code": "string",
  "detail": "string"
}
```

### Authorizations
- **Authorization**
  - Type: String
  - Location: Header
  - Required: Yes
  - Description: Use a Bearer token to access this API.

### Response Structure
- `count`: Integer (required) - Count of disputes in a `needs_response` or `warning_needs_response` status.
